package com.fjs.scenic.mapper.scenic;

import org.apache.ibatis.annotations.Param;

import com.fjs.scenic.entity.scenic.Scenic;
import com.fjs.scenic.entity.scenic.po.ScenicPo;
import com.fjs.scenic.mapper.common.BaseMapper;

public interface ScenicMapper extends BaseMapper<Scenic> {

    ScenicPo find(int id);
    
    int getNextStock();
    
    int getStock();
    
    int subInventory(@Param("num")int num);
    
    int addInventory(@Param("num")int num);
}